Main Page Modules Namespace List Data Structures File List Data Fields Examples

# _variant_value Struct Reference
[Variant type manipulation]

Variant value structure. More...

`#include <Variant.h>`

## Data Fields
float | flt
double | dbl
unsigned char * | binary
unsigned long | length

## Detailed Description

Variant value structure.

This structure is used for returning values from variantGet that do not fit within 4 bytes.

Examples:

  variant.c.

## Field Documentation

unsigned char* _variant_value::binary

| Filled in when the type is VARIANT_TYPE_BINARY_B64. Examples: variant.c.

double _variant_value::dbl

| Filled in when the type is VARIANT_TYPE_DOUBLE. Examples: variant.c.

float _variant_value::flt

| Filled in when the type is VARIANT_TYPE_FLOAT. Examples: variant.c.

unsigned long _variant_value::length

| Always filled in with the length. Examples: variant.c.

The documentation for this struct was generated from the following file:

- Variant.h